Bug 873251 - webadmin [TEXT]: host name appears as <UNKNOWN> in event log when extend fails
webadmin [TEXT]: host name appears as <UNKNOWN> in event log when extend fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: 3.2.0
Assigned To: Asaf Shakarchi
Haim
storage
: ZStream
Depends On:
Blocks: 892634
  Show dependency treegraph
 
Reported: 2012-11-05 08:02 EST by Dafna Ron
Modified: 2016-02-10 12:56 EST (History)
13 users (show)

See Also:
Fixed In Version: sf4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 892634 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (19.53 KB, application/x-xz)
2012-11-05 08:02 EST, Dafna Ron
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10516 None None None Never

  None (edit)
Description Dafna Ron 2012-11-05 08:02:08 EST
Created attachment 638577 [details]
log

Description of problem:

when extend fails event log shows the following error: 

Failed to connect Host <UNKNOWN> to device. (User: admin@internal)

Version-Release number of selected component (if applicable):

si24

How reproducible:

100%

Steps to Reproduce:
1. try to extend a domain while only hsm host can see the storage (disconnect the connection with iscsiadm and block it before pressing ok in UI)
2. 
3.
  
Actual results:

event log shows host name as <UNKNOWN>: 
Failed to connect Host <UNKNOWN> to device. (User: admin@internal)


Expected results:

we should have host name

Additional info: engine
Comment 1 Asaf Shakarchi 2012-12-31 05:20:20 EST
Patch submitted:
http://gerrit.ovirt.org/#/c/10516/
Comment 5 Leonid Natapov 2013-02-13 08:53:11 EST
sf6. reproduced according steps to reproduce. 
Host name is seen instead of '<UNKNOWN>
Comment 6 Itamar Heim 2013-06-11 05:04:47 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 05:04:47 EDT
3.2 has been released
Comment 8 Itamar Heim 2013-06-11 05:04:51 EDT
3.2 has been released
Comment 9 Itamar Heim 2013-06-11 05:04:57 EDT
3.2 has been released
Comment 10 Itamar Heim 2013-06-11 05:33:59 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.